Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/deskutils/cairo-dock-plugins/Makefile,v
retrieving revision 1.3
diff -U 2 -r1.3 Makefile
--- Makefile	31 May 2010 01:57:52 -0000	1.3
+++ Makefile	29 Jun 2010 16:37:14 -0000
@@ -7,8 +7,7 @@
 
 PORTNAME=	cairo-dock-plugins
-DISTVERSION=	2.1.0
-PORTREVISION=	2
+DISTVERSION=	2.1.3-9
 CATEGORIES=	deskutils
-MASTER_SITES=	BERLIOS/cairo-dock
+MASTER_SITES=	http://launchpadlibrarian.net/44930752/
 
 MAINTAINER=	fidaj@ukr.net
@@ -16,10 +15,12 @@
 
 BUILD_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/cairo-dock.pc:${PORTSDIR}/deskutils/cairo-dock
-RUN_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/cairo-dock.pc:${PORTSDIR}/deskutils/cairo-dock
+RUN_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/cairo-dock.pc:${PORTSDIR}/deskutils/cairo-dock \
+		wget:${PORTSDIR}/ftp/wget
+
+LIB_DEPENDS=	etpan:${PORTSDIR}/mail/libetpan
 
 DATADIR=	${PREFIX}/share/cairo-dock
 
 GNU_CONFIGURE=	yes
-USE_BZIP2=	yes
 USE_GETTEXT=	yes
 USE_GMAKE=	yes
@@ -27,4 +28,6 @@
 USE_LDCONFIG=	yes
 USE_XORG=	xrender
+USE_DOS2UNIX=	YES
+MAKE_JOBS_SAFE=	YES
 
 OPTIONS+=	GMENU "Common Applications menu" On \
@@ -38,7 +41,8 @@
 CONFIGURE_ARGS+=	--disable-alsa-mixer \
 			--disable-old-gnome-integration
+CONFIGURE_ENV+=		CCFLAGS="-I${LOCALBASE}/include/cairo"
 
 .if defined(WITH_GMENU)
-LIB_DEPENDS+=		gnome-menu.2:${PORTSDIR}/x11/gnome-menus
+LIB_DEPENDS+=		gnome-menu:${PORTSDIR}/x11/gnome-menus
 CONFIGURE_ARGS+=	--enable-gmenu
 PLIST_SUB+=	GMENU=""
@@ -49,6 +53,6 @@
 
 .if defined(WITH_KEYBOARD_INDICATOR)
-LIB_DEPENDS+=		exif.12:${PORTSDIR}/graphics/libexif \
-			xklavier.12:${PORTSDIR}/x11/libxklavier
+LIB_DEPENDS+=		exif:${PORTSDIR}/graphics/libexif \
+			xklavier:${PORTSDIR}/x11/libxklavier
 CONFIGURE_ARGS+=	--enable-keyboard-indicator
 PLIST_SUB+=	KEYBOARD_INDICATOR=""
@@ -59,5 +63,5 @@
 
 .if defined(WITH_TERMINAL)
-LIB_DEPENDS+=		vte.9:${PORTSDIR}/x11-toolkits/vte
+LIB_DEPENDS+=		vte:${PORTSDIR}/x11-toolkits/vte
 CONFIGURE_ARGS+=	--enable-terminal
 PLIST_SUB+=	TERMINAL=""
@@ -68,5 +72,5 @@
 
 .if defined(WITH_WEBLETS)
-LIB_DEPENDS+=		webkit-1.0.13:${PORTSDIR}/www/webkit-gtk2
+LIB_DEPENDS+=		webkit-1.0:${PORTSDIR}/www/webkit-gtk2
 CONFIGURE_ARGS+=	--enable-weblets
 PLIST_SUB+=	WEBLETS=""
@@ -77,6 +81,6 @@
 
 .if defined(WITH_XFCE_INTEGRATION)
-LIB_DEPENDS+=		thunar-vfs-1.5:${PORTSDIR}/x11-fm/thunar \
-			exif.12:${PORTSDIR}/graphics/libexif
+LIB_DEPENDS+=		thunar-vfs-1:${PORTSDIR}/x11-fm/thunar \
+			exif:${PORTSDIR}/graphics/libexif
 CONFIGURE_ARGS+=	--enable-xfce-integration
 PLIST_SUB+=	XFCE_INTEGRATION=""
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/deskutils/cairo-dock-plugins/distinfo,v
retrieving revision 1.1
diff -U 2 -r1.1 distinfo
--- distinfo	21 Mar 2010 13:16:59 -0000	1.1
+++ distinfo	29 Jun 2010 16:37:14 -0000
@@ -1,3 +1,3 @@
-MD5 (cairo-dock-plugins-2.1.0.tar.bz2) = 4e7fb258f0efd0b91ab6d3f324e4da05
-SHA256 (cairo-dock-plugins-2.1.0.tar.bz2) = 7245abb8f123b1e5a69bd383688a2a6d811254b010100687905f0c0004bb9a85
-SIZE (cairo-dock-plugins-2.1.0.tar.bz2) = 5703719
+MD5 (cairo-dock-plugins-2.1.3-9.tar.gz) = 80dd8c3870c6e1e80a0acfbfc8430c8c
+SHA256 (cairo-dock-plugins-2.1.3-9.tar.gz) = 3f0ea85dbeef7fe817439ed77a4bd19a435f6e1ed7207688f0d699e77a801b7a
+SIZE (cairo-dock-plugins-2.1.3-9.tar.gz) = 6003152
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/deskutils/cairo-dock-plugins/pkg-plist,v
retrieving revision 1.1
diff -U 2 -r1.1 pkg-plist
--- pkg-plist	21 Mar 2010 13:16:59 -0000	1.1
+++ pkg-plist	29 Jun 2010 16:37:14 -0000
@@ -1,3 +1,3 @@
-lib/cairo-dock/libcd-Animated-icons.la
+lib/cairo-dock/libcd-Animated-icons.la         
 lib/cairo-dock/libcd-Animated-icons.so
 lib/cairo-dock/libcd-Cairo-Penguin.la
@@ -33,8 +33,12 @@
 lib/cairo-dock/libcd-illusion.la
 lib/cairo-dock/libcd-illusion.so
+lib/cairo-dock/libcd_kde-integration.la
+lib/cairo-dock/libcd_kde-integration.so
 %%KEYBOARD_INDICATOR%%lib/cairo-dock/libcd-keyboard-indicator.la
 %%KEYBOARD_INDICATOR%%lib/cairo-dock/libcd-keyboard-indicator.so
 lib/cairo-dock/libcd-logout.la
 lib/cairo-dock/libcd-logout.so
+lib/cairo-dock/libcd-mail.la
+lib/cairo-dock/libcd-mail.so
 lib/cairo-dock/libcd-motion_blur.la
 lib/cairo-dock/libcd-motion_blur.so
@@ -49,8 +53,8 @@
 lib/cairo-dock/libcd-rendering.la
 lib/cairo-dock/libcd-rendering.so
+lib/cairo-dock/libcd-RSSreader.la
+lib/cairo-dock/libcd-RSSreader.so
 lib/cairo-dock/libcd-shortcuts.la
 lib/cairo-dock/libcd-shortcuts.so
-lib/cairo-dock/libcd-showDesklets.la
-lib/cairo-dock/libcd-showDesklets.so
 lib/cairo-dock/libcd-showDesktop.la
 lib/cairo-dock/libcd-showDesktop.so
@@ -79,5 +83,4 @@
 %%XFCE_INTEGRATION%%lib/cairo-dock/libcd_xfce-integration.la
 %%XFCE_INTEGRATION%%lib/cairo-dock/libcd_xfce-integration.so
-share/locale/en_GB/LC_MESSAGES/cairo-dock-plugins.mo
 share/locale/fr/LC_MESSAGES/cairo-dock-plugins.mo
 share/locale/it/LC_MESSAGES/cairo-dock-plugins.mo
@@ -89,6 +92,13 @@
 share/locale/sv/LC_MESSAGES/cairo-dock-plugins.mo
 share/locale/zh_CN/LC_MESSAGES/cairo-dock-plugins.mo
+share/locale/cs/LC_MESSAGES/cairo-dock-plugins.mo
+share/locale/de/LC_MESSAGES/cairo-dock-plugins.mo
+share/locale/en/LC_MESSAGES/cairo-dock-plugins.mo
+share/locale/es/LC_MESSAGES/cairo-dock-plugins.mo
+share/locale/hu/LC_MESSAGES/cairo-dock-plugins.mo
+share/locale/uk/LC_MESSAGES/cairo-dock-plugins.mo
+share/locale/zh_TW/LC_MESSAGES/cairo-dock-plugins.mo
 %%DATADIR%%/plug-ins/Animated-icons/Animated-icons.conf
-%%DATADIR%%/plug-ins/Animated-icons/preview.png
+%%DATADIR%%/plug-ins/Animated-icons/preview.jpg
 %%DATADIR%%/plug-ins/Animated-icons/icon.svg
 %%DATADIR%%/plug-ins/Animated-icons/texture-chrome.png
@@ -96,10 +106,9 @@
 %%DATADIR%%/plug-ins/Animated-icons/spot.png
 %%DATADIR%%/plug-ins/Animated-icons/halo.png
-%%DATADIR%%/plug-ins/Animated-icons/spot-front2.png
 %%DATADIR%%/plug-ins/Animated-icons/ray.png
 %%DATADIR%%/plug-ins/Animated-icons/icon-wave.png
 %%DATADIR%%/plug-ins/Cairo-Penguin/Cairo-Penguin.conf
-%%DATADIR%%/plug-ins/Cairo-Penguin/preview.png
 %%DATADIR%%/plug-ins/Cairo-Penguin/icon.png
+%%DATADIR%%/plug-ins/Cairo-Penguin/preview.jpg
 %%DATADIR%%/plug-ins/Cairo-Penguin/themes/Classic/theme.conf
 %%DATADIR%%/plug-ins/Cairo-Penguin/themes/Classic/readme
@@ -126,6 +135,6 @@
 %%DATADIR%%/plug-ins/Cairo-Penguin/themes/Classic/xmas-walker.png
 %%DATADIR%%/plug-ins/Clipper/Clipper.conf
-%%DATADIR%%/plug-ins/Clipper/preview.png
 %%DATADIR%%/plug-ins/Clipper/icon.svg
+%%DATADIR%%/plug-ins/Clipper/preview.jpg
 %%DATADIR%%/plug-ins/Clipper/Clipper-actions-gnome.conf
 %%DATADIR%%/plug-ins/Clipper/Clipper-actions-xfce.conf
@@ -158,5 +167,4 @@
 %%DATADIR%%/plug-ins/compiz-icon/compiz-kill
 %%DATADIR%%/plug-ins/compiz-icon/compiz-icon.conf
-%%DATADIR%%/plug-ins/compiz-icon/preview.png
 %%DATADIR%%/plug-ins/compiz-icon/default.svg
 %%DATADIR%%/plug-ins/compiz-icon/broken.svg
@@ -168,4 +176,5 @@
 %%DATADIR%%/plug-ins/compiz-icon/4.svg
 %%DATADIR%%/plug-ins/compiz-icon/icon.png
+%%DATADIR%%/plug-ins/compiz-icon/preview.jpg
 %%DATADIR%%/plug-ins/Dbus/Dbus.conf
 %%DATADIR%%/plug-ins/Dbus/icon.svg
@@ -184,18 +193,17 @@
 %%DATADIR%%/plug-ins/desklet-rendering/board.png
 %%DATADIR%%/plug-ins/dialog-rendering/dialog-rendering.conf
-%%DATADIR%%/plug-ins/dialog-rendering/preview.png
 %%DATADIR%%/plug-ins/dialog-rendering/icon.svg
 %%DATADIR%%/plug-ins/dnd2share/upload2free.sh
 %%DATADIR%%/plug-ins/dnd2share/dnd2share.conf
 %%DATADIR%%/plug-ins/dnd2share/readme
-%%DATADIR%%/plug-ins/dnd2share/preview.png
 %%DATADIR%%/plug-ins/dnd2share/icon.png
+%%DATADIR%%/plug-ins/dnd2share/preview.jpg
 %%GMENU%%%%DATADIR%%/plug-ins/GMenu/GMenu.conf
 %%GMENU%%%%DATADIR%%/plug-ins/GMenu/icon-recent.png
 %%GMENU%%%%DATADIR%%/plug-ins/GMenu/icon.svg
-%%GMENU%%%%DATADIR%%/plug-ins/GMenu/preview.png
+%%GMENU%%%%DATADIR%%/plug-ins/GMenu/preview.jpg
 %%DATADIR%%/plug-ins/drop-indicator/drop_indicator.conf
-%%DATADIR%%/plug-ins/drop-indicator/preview.png
 %%DATADIR%%/plug-ins/drop-indicator/icon.svg
+%%DATADIR%%/plug-ins/drop-indicator/preview.jpg
 %%DATADIR%%/plug-ins/drop-indicator/default-drop-indicator.svg
 %%DATADIR%%/plug-ins/drop-indicator/default-hover-indicator.svg
@@ -207,6 +215,7 @@
 %%DATADIR%%/plug-ins/gnome-integration/icon.png
 %%DATADIR%%/plug-ins/icon-effect/icon-effect.conf
-%%DATADIR%%/plug-ins/icon-effect/preview.png
 %%DATADIR%%/plug-ins/icon-effect/icon.png
+%%DATADIR%%/plug-ins/icon-effect/icon-firework.png
+%%DATADIR%%/plug-ins/icon-effect/preview.jpg
 %%DATADIR%%/plug-ins/icon-effect/star.png
 %%DATADIR%%/plug-ins/icon-effect/snow.png
@@ -215,6 +224,6 @@
 %%DATADIR%%/plug-ins/icon-effect/icon-storm.png
 %%DATADIR%%/plug-ins/illusion/illusion.conf
-%%DATADIR%%/plug-ins/illusion/preview.png
 %%DATADIR%%/plug-ins/illusion/icon.svg
+%%DATADIR%%/plug-ins/illusion/preview.jpg
 %%DATADIR%%/plug-ins/illusion/icon-black-hole.svg
 %%DATADIR%%/plug-ins/illusion/icon-break.svg
@@ -222,13 +231,20 @@
 %%DATADIR%%/plug-ins/illusion/icon-explode.svg
 %%DATADIR%%/plug-ins/illusion/icon-fade-out.svg
-%%KEYBOARD_INDICATOR%%%%DATADIR%%/plug-ins/keyboard-indicator/icon.svg
+%%DATADIR%%/plug-ins/kde-integration/icon.png
 %%KEYBOARD_INDICATOR%%%%DATADIR%%/plug-ins/keyboard-indicator/keyboard-indicator.conf
-%%KEYBOARD_INDICATOR%%%%DATADIR%%/plug-ins/keyboard-indicator/preview.png
+%%KEYBOARD_INDICATOR%%%%DATADIR%%/plug-ins/keyboard-indicator/icon.png
+%%KEYBOARD_INDICATOR%%%%DATADIR%%/plug-ins/keyboard-indicator/preview.jpg
 %%DATADIR%%/plug-ins/logout/logout.conf
-%%DATADIR%%/plug-ins/logout/preview.png
 %%DATADIR%%/plug-ins/logout/icon.svg
 %%DATADIR%%/plug-ins/logout/icon-scheduling.png
+%%DATADIR%%/plug-ins/mail/preview.jpg
+%%DATADIR%%/plug-ins/mail/cd_mail_icon.png
+%%DATADIR%%/plug-ins/mail/cd_mail_newmail.svg
+%%DATADIR%%/plug-ins/mail/cd_mail_nomail.svg
+%%DATADIR%%/plug-ins/mail/mail.conf
+%%DATADIR%%/plug-ins/mail/themes/Default/has_mail.svg
+%%DATADIR%%/plug-ins/mail/themes/Default/new_mail_sound.wav
+%%DATADIR%%/plug-ins/mail/themes/Default/no_mail.svg
 %%DATADIR%%/plug-ins/motion-blur/motion_blur.conf
-%%DATADIR%%/plug-ins/motion-blur/preview.png
 %%DATADIR%%/plug-ins/motion-blur/icon.png
 %%DATADIR%%/plug-ins/musicPlayer/musicPlayer.conf
@@ -236,4 +252,5 @@
 %%DATADIR%%/plug-ins/musicPlayer/pause.svg
 %%DATADIR%%/plug-ins/musicPlayer/play.svg
+%%DATADIR%%/plug-ins/musicPlayer/preview.jpg
 %%DATADIR%%/plug-ins/musicPlayer/stop.svg
 %%DATADIR%%/plug-ins/musicPlayer/default.svg
@@ -247,5 +264,4 @@
 %%DATADIR%%/plug-ins/musicPlayer/2.svg
 %%DATADIR%%/plug-ins/musicPlayer/3.svg
-%%DATADIR%%/plug-ins/musicPlayer/preview.png
 %%DATADIR%%/plug-ins/musicPlayer/icon.png
 %%DATADIR%%/plug-ins/musicPlayer/themes/cd_box_simple/readme
@@ -255,7 +271,7 @@
 %%DATADIR%%/plug-ins/musicPlayer/themes/cd_box_simple/theme.conf
 %%DATADIR%%/plug-ins/netspeed/netspeed.conf
-%%DATADIR%%/plug-ins/netspeed/preview.png
 %%DATADIR%%/plug-ins/netspeed/default.png
 %%DATADIR%%/plug-ins/netspeed/icon.png
+%%DATADIR%%/plug-ins/netspeed/preview.jpg
 %%DATADIR%%/plug-ins/netspeed/ok.png
 %%DATADIR%%/plug-ins/netspeed/unknown.png
@@ -266,9 +282,10 @@
 %%DATADIR%%/plug-ins/powermanager/default-charge.svg
 %%DATADIR%%/plug-ins/powermanager/powermanager.conf
-%%DATADIR%%/plug-ins/powermanager/preview.png
 %%DATADIR%%/plug-ins/powermanager/icon.png
+%%DATADIR%%/plug-ins/powermanager/charge.svg
+%%DATADIR%%/plug-ins/powermanager/preview.jpg
 %%DATADIR%%/plug-ins/quick_browser/quick-browser.conf
-%%DATADIR%%/plug-ins/quick_browser/preview.png
 %%DATADIR%%/plug-ins/quick_browser/icon.svg
+%%DATADIR%%/plug-ins/quick_browser/preview.jpg
 %%DATADIR%%/plug-ins/rendering/rendering.conf
 %%DATADIR%%/plug-ins/rendering/icon.svg
@@ -287,43 +304,40 @@
 %%DATADIR%%/plug-ins/rendering/readme-parabolic-view
 %%DATADIR%%/plug-ins/rendering/readme-rainbow-view
+%%DATADIR%%/plug-ins/RSSreader/icon.svg
+%%DATADIR%%/plug-ins/RSSreader/preview.jpg
+%%DATADIR%%/plug-ins/RSSreader/RSSreader.conf
 %%DATADIR%%/plug-ins/shortcuts/shortcuts.conf
 %%DATADIR%%/plug-ins/shortcuts/icon.png
-%%DATADIR%%/plug-ins/shortcuts/preview.png
-%%DATADIR%%/plug-ins/showDesklets/showDesklets.conf
-%%DATADIR%%/plug-ins/showDesklets/preview.png
-%%DATADIR%%/plug-ins/showDesklets/show-desklets.svg
-%%DATADIR%%/plug-ins/showDesklets/hide-desklets.svg
-%%DATADIR%%/plug-ins/showDesklets/icon.png
+%%DATADIR%%/plug-ins/shortcuts/preview.jpg
 %%DATADIR%%/plug-ins/showDesktop/showDesktop.conf
-%%DATADIR%%/plug-ins/showDesktop/preview.png
 %%DATADIR%%/plug-ins/showDesktop/icon.png
+%%DATADIR%%/plug-ins/showDesktop/icon-active.png
 %%DATADIR%%/plug-ins/show_mouse/show_mouse.conf
-%%DATADIR%%/plug-ins/show_mouse/preview.png
 %%DATADIR%%/plug-ins/show_mouse/icon.png
+%%DATADIR%%/plug-ins/show_mouse/preview.jpg
 %%DATADIR%%/plug-ins/slider/slider.conf
-%%DATADIR%%/plug-ins/slider/preview.png
 %%DATADIR%%/plug-ins/slider/icon.png
+%%DATADIR%%/plug-ins/slider/preview.jpg
 %%DATADIR%%/plug-ins/stack/stack.conf
-%%DATADIR%%/plug-ins/stack/preview.png
 %%DATADIR%%/plug-ins/stack/icon.png
-%%DATADIR%%/plug-ins/stack/default-icon.png
+%%DATADIR%%/plug-ins/stack/preview.jpg
 %%DATADIR%%/plug-ins/stack/text-icon.svg
 %%DATADIR%%/plug-ins/stack/url-icon.svg
 %%DATADIR%%/plug-ins/switcher/broken.svg
 %%DATADIR%%/plug-ins/switcher/default.svg
+%%DATADIR%%/plug-ins/switcher/preview.jpg
 %%DATADIR%%/plug-ins/switcher/workspaces.svg
-%%DATADIR%%/plug-ins/switcher/preview.png
 %%DATADIR%%/plug-ins/switcher/switcher.conf
 %%DATADIR%%/plug-ins/System-monitor/nvidia-config
 %%DATADIR%%/plug-ins/System-monitor/System-Monitor.conf
-%%DATADIR%%/plug-ins/System-monitor/preview.png
 %%DATADIR%%/plug-ins/System-monitor/icon.png
+%%DATADIR%%/plug-ins/System-monitor/preview.jpg
 %%DATADIR%%/plug-ins/System-monitor/button-cpu.png
 %%DATADIR%%/plug-ins/System-monitor/button-ram.png
 %%DATADIR%%/plug-ins/systray/systray.conf
-%%DATADIR%%/plug-ins/systray/preview.png
 %%DATADIR%%/plug-ins/systray/icon.png
+%%DATADIR%%/plug-ins/systray/preview.jpg
 %%TERMINAL%%%%DATADIR%%/plug-ins/terminal/icon.png
-%%TERMINAL%%%%DATADIR%%/plug-ins/terminal/preview.png
+%%TERMINAL%%%%DATADIR%%/plug-ins/terminal/preview.jpg
 %%TERMINAL%%%%DATADIR%%/plug-ins/terminal/terminal.conf
 %%DATADIR%%/plug-ins/tomboy/default.svg
@@ -333,8 +347,8 @@
 %%DATADIR%%/plug-ins/tomboy/tomboy.conf
 %%DATADIR%%/plug-ins/tomboy/icon.png
-%%DATADIR%%/plug-ins/tomboy/preview.png
+%%DATADIR%%/plug-ins/tomboy/preview.jpg
 %%DATADIR%%/plug-ins/Toons/Toons.conf
+%%DATADIR%%/plug-ins/Toons/icon.png
 %%DATADIR%%/plug-ins/Toons/preview.jpg
-%%DATADIR%%/plug-ins/Toons/icon.svg
 %%DATADIR%%/plug-ins/Toons/themes/Classic/theme.conf
 %%DATADIR%%/plug-ins/Toons/themes/Classic/readme
@@ -343,7 +357,7 @@
 %%DATADIR%%/plug-ins/Toons/themes/Classic/eyelid.svg
 %%DATADIR%%/plug-ins/weather/weather.conf
-%%DATADIR%%/plug-ins/weather/preview.png
 %%DATADIR%%/plug-ins/weather/broken.png
 %%DATADIR%%/plug-ins/weather/icon.png
+%%DATADIR%%/plug-ins/weather/preview.jpg
 %%DATADIR%%/plug-ins/weather/themes/Classic/0.png
 %%DATADIR%%/plug-ins/weather/themes/Classic/1.png
@@ -398,9 +412,8 @@
 %%DATADIR%%/plug-ins/weather/themes/Classic/readme
 %%WEBLETS%%%%DATADIR%%/plug-ins/weblets/icon.png
-%%WEBLETS%%%%DATADIR%%/plug-ins/weblets/preview.png
+%%WEBLETS%%%%DATADIR%%/plug-ins/weblets/preview.jpg
 %%WEBLETS%%%%DATADIR%%/plug-ins/weblets/weblets.conf
 %%DATADIR%%/plug-ins/wifi/wifi
 %%DATADIR%%/plug-ins/wifi/wifi.conf
-%%DATADIR%%/plug-ins/wifi/preview.png
 %%DATADIR%%/plug-ins/wifi/link-0.svg
 %%DATADIR%%/plug-ins/wifi/link-1.svg
@@ -410,9 +423,9 @@
 %%DATADIR%%/plug-ins/wifi/link-5.svg
 %%DATADIR%%/plug-ins/wifi/icon.png
-
+%%DATADIR%%/plug-ins/wifi/preview.jpg
 %%XFCE_INTEGRATION%%%%DATADIR%%/plug-ins/xfce-integration/icon.png
 %%DATADIR%%/plug-ins/Xgamma/Xgamma.conf
-%%DATADIR%%/plug-ins/Xgamma/preview.png
 %%DATADIR%%/plug-ins/Xgamma/icon.png
+%%DATADIR%%/plug-ins/Xgamma/preview.jpg
 @dirrm %%DATADIR%%/plug-ins/Animated-icons
 @dirrm %%DATADIR%%/plug-ins/Cairo-Penguin/themes/Classic
@@ -443,6 +456,10 @@
 @dirrm %%DATADIR%%/plug-ins/icon-effect
 @dirrm %%DATADIR%%/plug-ins/illusion
+@dirrm %%DATADIR%%/plug-ins/kde-integration
 %%KEYBOARD_INDICATOR%%@dirrm %%DATADIR%%/plug-ins/keyboard-indicator
 @dirrm %%DATADIR%%/plug-ins/logout
+@dirrm %%DATADIR%%/plug-ins/mail/themes/Default
+@dirrm %%DATADIR%%/plug-ins/mail/themes
+@dirrm %%DATADIR%%/plug-ins/mail
 @dirrm %%DATADIR%%/plug-ins/motion-blur
 @dirrm %%DATADIR%%/plug-ins/musicPlayer/themes/cd_box_simple
@@ -452,7 +469,7 @@
 @dirrm %%DATADIR%%/plug-ins/powermanager
 @dirrm %%DATADIR%%/plug-ins/quick_browser
+@dirrm %%DATADIR%%/plug-ins/RSSreader
 @dirrm %%DATADIR%%/plug-ins/rendering
 @dirrm %%DATADIR%%/plug-ins/shortcuts
-@dirrm %%DATADIR%%/plug-ins/showDesklets
 @dirrm %%DATADIR%%/plug-ins/showDesktop
 @dirrm %%DATADIR%%/plug-ins/show_mouse
Index: files/patch-Makefile.am
===================================================================
RCS file: /home/pcvs/ports/deskutils/cairo-dock-plugins/files/patch-Makefile.am,v
retrieving revision 1.1
diff -U 2 -r1.1 patch-Makefile.am
--- files/patch-Makefile.am	21 Mar 2010 13:16:59 -0000	1.1
+++ files/patch-Makefile.am	29 Jun 2010 16:37:14 -0000
@@ -1,5 +1,5 @@
---- Animated-icons/src/Makefile.am.orig	2010-02-03 22:31:08.000000000 +0200
-+++ Animated-icons/src/Makefile.am	2010-02-03 22:31:31.000000000 +0200
-@@ -49,8 +49,7 @@
+--- Animated-icons/src/Makefile.am.orig	2010-05-05 22:44:57.000000000 +0300
++++ Animated-icons/src/Makefile.am	2010-05-05 22:47:52.000000000 +0300
+@@ -49,9 +49,7 @@
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
@@ -7,11 +7,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- Cairo-Penguin/src/Makefile.am.orig	2010-02-03 22:31:59.000000000 +0200
-+++ Cairo-Penguin/src/Makefile.am	2010-02-03 22:32:09.000000000 +0200
-@@ -35,8 +35,7 @@
+ libcd_Animated_icons_la_LIBADD = \
+--- Cairo-Penguin/src/Makefile.am.orig	2010-05-05 22:45:01.000000000 +0300
++++ Cairo-Penguin/src/Makefile.am	2010-05-05 22:48:06.000000000 +0300
+@@ -35,9 +35,7 @@
  	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
@@ -19,11 +20,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- Clipper/src/Makefile.am.orig	2010-02-03 22:32:25.000000000 +0200
-+++ Clipper/src/Makefile.am	2010-02-03 22:32:33.000000000 +0200
-@@ -31,8 +31,7 @@
+ libcd_Cairo_Penguin_la_LIBADD = \
+--- Clipper/src/Makefile.am.orig	2010-05-05 22:45:04.000000000 +0300
++++ Clipper/src/Makefile.am	2010-05-05 22:48:19.000000000 +0300
+@@ -31,9 +31,7 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
@@ -31,11 +33,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- Dbus/src/Makefile.am.orig	2010-02-03 22:32:46.000000000 +0200
-+++ Dbus/src/Makefile.am	2010-02-03 22:33:00.000000000 +0200
-@@ -38,8 +38,7 @@
+ libcd_Clipper_la_LIBADD = \
+--- Dbus/src/Makefile.am.orig	2010-05-05 22:45:07.000000000 +0300
++++ Dbus/src/Makefile.am	2010-05-05 22:48:34.000000000 +0300
+@@ -40,9 +40,7 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
@@ -43,11 +46,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- GMenu/src/Makefile.am.orig	2010-02-03 22:33:12.000000000 +0200
-+++ GMenu/src/Makefile.am	2010-02-03 22:33:19.000000000 +0200
-@@ -46,8 +46,7 @@
+ libcd_Dbus_la_LIBADD = \
+--- GMenu/src/Makefile.am.orig	2010-05-05 22:45:11.000000000 +0300
++++ GMenu/src/Makefile.am	2010-05-05 22:48:48.000000000 +0300
+@@ -46,9 +46,7 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
@@ -55,11 +59,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- Network-Monitor/src/Makefile.am.orig	2010-02-03 22:33:42.000000000 +0200
-+++ Network-Monitor/src/Makefile.am	2010-02-03 22:33:49.000000000 +0200
-@@ -32,8 +32,7 @@
+ libcd_GMenu_la_LIBADD = \
+--- Network-Monitor/src/Makefile.am.orig	2010-05-05 22:45:14.000000000 +0300
++++ Network-Monitor/src/Makefile.am	2010-05-05 22:49:00.000000000 +0300
+@@ -40,9 +40,7 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -67,11 +72,25 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- Scooby-Do/src/Makefile.am.orig	2010-02-03 22:34:01.000000000 +0200
-+++ Scooby-Do/src/Makefile.am	2010-02-03 22:34:06.000000000 +0200
-@@ -47,8 +47,7 @@
+ libcd_Network_Monitor_la_LIBADD = \
+--- RSSreader/src/Makefile.am.orig	2010-05-05 22:45:18.000000000 +0300
++++ RSSreader/src/Makefile.am	2010-05-05 22:49:12.000000000 +0300
+@@ -33,9 +33,7 @@
+ 	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
+ 	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
+ 	-std=c99\
+-	-Werror-implicit-function-declaration\
+-	-O3
+-#	-g -ggdb -W -Wall
++	-Werror-implicit-function-declaration
+ 
+ 
+ libcd_RSSreader_la_LIBADD = \
+--- Scooby-Do/src/Makefile.am.orig	2010-05-05 22:45:21.000000000 +0300
++++ Scooby-Do/src/Makefile.am	2010-05-05 22:49:30.000000000 +0300
+@@ -51,9 +51,7 @@
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
@@ -79,11 +98,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- System-Monitor/src/Makefile.am.orig	2010-02-03 22:34:17.000000000 +0200
-+++ System-Monitor/src/Makefile.am	2010-02-03 22:34:22.000000000 +0200
-@@ -39,8 +39,7 @@
+ libcd_Scooby_Do_la_LIBADD = \
+--- System-Monitor/src/Makefile.am.orig	2010-05-05 22:45:24.000000000 +0300
++++ System-Monitor/src/Makefile.am	2010-05-05 22:49:47.000000000 +0300
+@@ -39,9 +39,7 @@
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
  	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
@@ -91,11 +111,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- Toons/src/Makefile.am.orig	2010-02-03 22:34:32.000000000 +0200
-+++ Toons/src/Makefile.am	2010-02-03 22:34:37.000000000 +0200
-@@ -35,8 +35,7 @@
+ libcd_System_Monitor_la_LIBADD = \
+--- Toons/src/Makefile.am.orig	2010-05-05 22:45:29.000000000 +0300
++++ Toons/src/Makefile.am	2010-05-05 22:49:59.000000000 +0300
+@@ -35,9 +35,7 @@
  	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
@@ -103,11 +124,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- Xgamma/src/Makefile.am.orig	2010-02-03 22:34:48.000000000 +0200
-+++ Xgamma/src/Makefile.am	2010-02-03 22:34:53.000000000 +0200
-@@ -32,8 +32,7 @@
+ libcd_Toons_la_LIBADD = \
+--- Xgamma/src/Makefile.am.orig	2010-05-05 22:45:32.000000000 +0300
++++ Xgamma/src/Makefile.am	2010-05-05 22:50:14.000000000 +0300
+@@ -32,9 +32,7 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -115,11 +137,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- alsaMixer/src/Makefile.am.orig	2010-02-03 22:35:05.000000000 +0200
-+++ alsaMixer/src/Makefile.am	2010-02-03 22:35:10.000000000 +0200
-@@ -34,8 +34,7 @@
+ libcd_Xgamma_la_LIBADD = \
+--- alsaMixer/src/Makefile.am.orig	2010-05-05 22:45:35.000000000 +0300
++++ alsaMixer/src/Makefile.am	2010-05-05 22:50:26.000000000 +0300
+@@ -34,9 +34,7 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -127,11 +150,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- clock/src/Makefile.am.orig	2010-02-03 22:35:20.000000000 +0200
-+++ clock/src/Makefile.am	2010-02-03 22:35:27.000000000 +0200
-@@ -37,8 +37,7 @@
+ libcd_AlsaMixer_la_LIBADD = \
+--- clock/src/Makefile.am.orig	2010-05-05 22:45:38.000000000 +0300
++++ clock/src/Makefile.am	2010-05-05 22:50:41.000000000 +0300
+@@ -37,9 +37,7 @@
  	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
@@ -139,11 +163,12 @@
 -	 -Wall\
 -	-O3
-+	 -Wall
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
++	-Wall
  
  
---- compiz-icon/src/Makefile.am.orig	2010-02-03 22:36:28.000000000 +0200
-+++ compiz-icon/src/Makefile.am	2010-02-03 22:36:32.000000000 +0200
-@@ -33,8 +33,7 @@
+ libcd_clock_la_LIBADD = \
+--- compiz-icon/src/Makefile.am.orig	2010-05-05 22:45:41.000000000 +0300
++++ compiz-icon/src/Makefile.am	2010-05-05 22:50:56.000000000 +0300
+@@ -33,9 +33,7 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -151,11 +176,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- desklet-rendering/src/Makefile.am.orig	2010-02-03 22:36:41.000000000 +0200
-+++ desklet-rendering/src/Makefile.am	2010-02-03 22:36:48.000000000 +0200
-@@ -43,8 +43,7 @@
+ libcd_compiz_icon_la_LIBADD = \
+--- desklet-rendering/src/Makefile.am.orig	2010-05-05 22:45:44.000000000 +0300
++++ desklet-rendering/src/Makefile.am	2010-05-05 22:51:09.000000000 +0300
+@@ -43,10 +43,7 @@
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
@@ -163,11 +189,13 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-Wno-unused-parameter
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-Wno-unused-parameter
- #	-g -ggdb -W -Wall
  
---- dialog-rendering/src/Makefile.am.orig	2010-02-03 22:36:58.000000000 +0200
-+++ dialog-rendering/src/Makefile.am	2010-02-03 22:37:03.000000000 +0200
-@@ -39,8 +39,7 @@
+ 
+ libcd_desklet_rendering_la_LIBADD = \
+--- dialog-rendering/src/Makefile.am.orig	2010-05-05 22:45:47.000000000 +0300
++++ dialog-rendering/src/Makefile.am	2010-05-05 22:51:23.000000000 +0300
+@@ -39,9 +39,7 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
@@ -175,11 +203,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- dnd2share/src/Makefile.am.orig	2010-02-03 22:37:14.000000000 +0200
-+++ dnd2share/src/Makefile.am	2010-02-03 22:37:18.000000000 +0200
-@@ -46,8 +46,7 @@
+ libcd_dialog_rendering_la_LIBADD = \
+--- dnd2share/src/Makefile.am.orig	2010-05-05 22:45:53.000000000 +0300
++++ dnd2share/src/Makefile.am	2010-05-05 22:51:35.000000000 +0300
+@@ -46,9 +46,7 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -187,11 +216,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- dock-rendering/src/Makefile.am.orig	2010-02-03 22:37:28.000000000 +0200
-+++ dock-rendering/src/Makefile.am	2010-02-03 22:37:33.000000000 +0200
-@@ -43,8 +43,7 @@
+ libcd_dnd2share_la_LIBADD = \
+--- dock-rendering/src/Makefile.am.orig	2010-05-05 22:45:55.000000000 +0300
++++ dock-rendering/src/Makefile.am	2010-05-05 22:51:47.000000000 +0300
+@@ -43,10 +43,7 @@
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
@@ -199,23 +229,29 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-Wno-unused-parameter
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-Wno-unused-parameter
- #	-g -ggdb -W -Wall
  
---- drop-indicator/src/Makefile.am.orig	2010-02-03 22:37:45.000000000 +0200
-+++ drop-indicator/src/Makefile.am	2010-02-03 22:37:50.000000000 +0200
-@@ -34,8 +34,7 @@
+ 
+ libcd_rendering_la_LIBADD = \
+--- drop-indicator/src/Makefile.am.orig	2010-05-05 22:45:58.000000000 +0300
++++ drop-indicator/src/Makefile.am	2010-05-05 22:52:04.000000000 +0300
+@@ -32,11 +32,9 @@
+ 	-DMY_APPLET_DEFAULT_DROP_INDICATOR_NAME=\""default-drop-indicator.svg"\"\
+ 	-DMY_APPLET_DEFAULT_HOVER_INDICATOR_NAME=\""default-hover-indicator.svg"\"\
  	-DMY_APPLET_MASK_INDICATOR_NAME=\""texture-bilinear-gradation.png"\"\
-         -DGL_GLEXT_PROTOTYPES=\""1"\"\
+-        -DGL_GLEXT_PROTOTYPES=\""1"\"\
++	-DGL_GLEXT_PROTOTYPES=\""1"\"\
  	-std=c99\
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- dustbin/src/Makefile.am.orig	2010-02-03 22:38:05.000000000 +0200
-+++ dustbin/src/Makefile.am	2010-02-03 22:38:10.000000000 +0200
-@@ -31,8 +31,7 @@
+ libcd_drop_indicator_la_LIBADD = \
+--- dustbin/src/Makefile.am.orig	2010-05-05 22:46:00.000000000 +0300
++++ dustbin/src/Makefile.am	2010-05-05 22:52:21.000000000 +0300
+@@ -31,9 +31,7 @@
  	-DMY_APPLET_GETTEXT_DOMAIN=\""$(GETTEXT_DUSTBIN)"\"\
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
@@ -223,11 +259,12 @@
 -	-std=c99\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-std=c99
- #	-g -ggdb -W -Wall
  
  
---- gnome-integration/src/Makefile.am.orig	2010-02-03 22:38:19.000000000 +0200
-+++ gnome-integration/src/Makefile.am	2010-02-03 22:38:29.000000000 +0200
-@@ -29,8 +29,7 @@
+ libcd_dustbin_la_LIBADD = \
+--- gnome-integration/src/Makefile.am.orig	2010-05-05 22:46:03.000000000 +0300
++++ gnome-integration/src/Makefile.am	2010-05-05 22:52:34.000000000 +0300
+@@ -29,9 +29,7 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -235,11 +272,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- gnome-integration-old/src/Makefile.am.orig	2010-02-03 22:38:39.000000000 +0200
-+++ gnome-integration-old/src/Makefile.am	2010-02-03 22:38:44.000000000 +0200
-@@ -29,8 +29,7 @@
+ libcd_gnome_integration_la_LIBADD = \
+--- gnome-integration-old/src/Makefile.am.orig	2010-05-05 22:46:06.000000000 +0300
++++ gnome-integration-old/src/Makefile.am	2010-05-05 22:56:05.000000000 +0300
+@@ -29,9 +29,7 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
@@ -247,23 +285,28 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- icon-effect/src/Makefile.am.orig	2010-02-03 22:38:53.000000000 +0200
-+++ icon-effect/src/Makefile.am	2010-02-03 22:38:57.000000000 +0200
-@@ -41,8 +41,7 @@
+ libcd_gnome_integration_old_la_LIBADD = \
+--- icon-effect/src/Makefile.am.orig	2010-05-05 22:46:09.000000000 +0300
++++ icon-effect/src/Makefile.am	2010-05-05 22:56:29.000000000 +0300
+@@ -41,11 +41,9 @@
+ 	-DMY_APPLET_GETTEXT_DOMAIN=\""$(GETTEXT_ICON_EFFECTS)"\"\
+ 	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
-         -DGL_GLEXT_PROTOTYPES=\""1"\"\
+-        -DGL_GLEXT_PROTOTYPES=\""1"\"\
++	-DGL_GLEXT_PROTOTYPES=\""1"\"\
  	-std=c99\
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- illusion/src/Makefile.am.orig	2010-02-03 22:39:07.000000000 +0200
-+++ illusion/src/Makefile.am	2010-02-03 22:39:11.000000000 +0200
-@@ -42,8 +42,7 @@
+ libcd_icon_effect_la_LIBADD = \
+--- illusion/src/Makefile.am.orig	2010-05-05 22:46:12.000000000 +0300
++++ illusion/src/Makefile.am	2010-05-05 22:57:15.000000000 +0300
+@@ -42,9 +42,7 @@
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
@@ -271,23 +314,38 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- keyboard-indicator/src/Makefile.am.orig	2010-02-03 22:39:20.000000000 +0200
-+++ keyboard-indicator/src/Makefile.am	2010-02-03 22:39:25.000000000 +0200
-@@ -34,8 +34,7 @@
- 	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
+ libcd_illusion_la_LIBADD = \
+--- kde-integration/src/Makefile.am.orig	2010-05-05 22:46:15.000000000 +0300
++++ kde-integration/src/Makefile.am	2010-05-05 23:00:39.000000000 +0300
+@@ -29,9 +29,7 @@
+ 	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
+ 	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
+ 	-std=c99\
+-	-Werror-implicit-function-declaration\
+-	-O3
+-#	-g -ggdb -W -Wall
++	-Werror-implicit-function-declaration
+ 
+ 
+ libcd_kde_integration_la_LIBADD = \
+--- keyboard-indicator/src/Makefile.am.orig	2010-05-05 22:46:18.000000000 +0300
++++ keyboard-indicator/src/Makefile.am	2010-05-05 23:01:19.000000000 +0300
+@@ -34,9 +34,7 @@
+ 	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
  	-std=c99\
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- logout/src/Makefile.am.orig	2010-02-03 22:39:34.000000000 +0200
-+++ logout/src/Makefile.am	2010-02-03 22:39:38.000000000 +0200
-@@ -28,8 +28,7 @@
+ libcd_keyboard_indicator_la_LIBADD = \
+--- logout/src/Makefile.am.orig	2010-05-05 22:46:21.000000000 +0300
++++ logout/src/Makefile.am	2010-05-05 23:01:32.000000000 +0300
+@@ -28,9 +28,7 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
@@ -295,22 +353,26 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- mail/src/Makefile.am.orig	2010-02-03 22:39:48.000000000 +0200
-+++ mail/src/Makefile.am	2010-02-03 22:40:04.000000000 +0200
-@@ -37,7 +37,7 @@
+ libcd_logout_la_LIBADD = \
+--- mail/src/Makefile.am.orig	2010-05-05 22:46:25.000000000 +0300
++++ mail/src/Makefile.am	2010-05-05 23:01:53.000000000 +0300
+@@ -36,10 +36,7 @@
+ 	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
  	-std=c99\
- 	-Werror-implicit-function-declaration\
+-	-Werror-implicit-function-declaration\
 -	-g -ggdb -W
-+	-W
- #	-fgnu89-inline\
- #	-O3
+-#	-fgnu89-inline\
+-#	-O3
++	-Werror-implicit-function-declaration
  
---- motion-blur/src/Makefile.am.orig	2010-02-03 22:40:16.000000000 +0200
-+++ motion-blur/src/Makefile.am	2010-02-03 22:40:21.000000000 +0200
-@@ -29,8 +29,7 @@
+ 
+ libcd_mail_la_LIBADD = \
+--- motion-blur/src/Makefile.am.orig	2010-05-05 22:46:28.000000000 +0300
++++ motion-blur/src/Makefile.am	2010-05-05 23:02:08.000000000 +0300
+@@ -29,9 +29,7 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -318,11 +380,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- musicPlayer/src/Makefile.am.orig	2010-02-03 22:40:31.000000000 +0200
-+++ musicPlayer/src/Makefile.am	2010-02-03 22:40:36.000000000 +0200
-@@ -63,8 +63,7 @@
+ libcd_motion_blur_la_LIBADD = \
+--- musicPlayer/src/Makefile.am.orig	2010-05-05 22:46:31.000000000 +0300
++++ musicPlayer/src/Makefile.am	2010-05-05 23:02:23.000000000 +0300
+@@ -65,9 +65,7 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -330,11 +393,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- netspeed/src/Makefile.am.orig	2010-02-03 22:40:46.000000000 +0200
-+++ netspeed/src/Makefile.am	2010-02-03 22:40:50.000000000 +0200
-@@ -32,8 +32,7 @@
+ libcd_musicPlayer_la_LIBADD = \
+--- netspeed/src/Makefile.am.orig	2010-05-05 22:46:34.000000000 +0300
++++ netspeed/src/Makefile.am	2010-05-05 23:02:41.000000000 +0300
+@@ -32,9 +32,7 @@
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
  	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
@@ -342,11 +406,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- powermanager/src/Makefile.am.orig	2010-02-03 22:41:05.000000000 +0200
-+++ powermanager/src/Makefile.am	2010-02-03 22:41:09.000000000 +0200
-@@ -32,8 +32,7 @@
+ libcd_netspeed_la_LIBADD = \
+--- powermanager/src/Makefile.am.orig	2010-05-05 22:46:38.000000000 +0300
++++ powermanager/src/Makefile.am	2010-05-05 23:03:01.000000000 +0300
+@@ -32,9 +32,7 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -354,11 +419,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  libcd_powermanager_la_LIBADD = \
---- quick-browser/src/Makefile.am.orig	2010-02-03 22:41:20.000000000 +0200
-+++ quick-browser/src/Makefile.am	2010-02-03 22:41:24.000000000 +0200
-@@ -32,8 +32,7 @@
+ 	$(PACKAGE_LIBS) -lm
+--- quick-browser/src/Makefile.am.orig	2010-05-05 22:46:41.000000000 +0300
++++ quick-browser/src/Makefile.am	2010-05-05 23:03:34.000000000 +0300
+@@ -32,9 +32,7 @@
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
  	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
@@ -366,11 +432,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- shortcuts/src/Makefile.am.orig	2010-02-03 22:41:33.000000000 +0200
-+++ shortcuts/src/Makefile.am	2010-02-03 22:41:53.000000000 +0200
-@@ -35,8 +35,7 @@
+ libcd_quick_browser_la_LIBADD = \
+--- shortcuts/src/Makefile.am.orig	2010-05-05 22:46:44.000000000 +0300
++++ shortcuts/src/Makefile.am	2010-05-05 23:04:56.000000000 +0300
+@@ -35,9 +35,7 @@
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
  	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
@@ -378,35 +445,28 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
- 
- 
---- show-mouse/src/Makefile.am.orig	2010-02-03 22:42:12.000000000 +0200
-+++ show-mouse/src/Makefile.am	2010-02-03 22:42:17.000000000 +0200
-@@ -31,8 +31,7 @@
- 	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
-         -DGL_GLEXT_PROTOTYPES=\""1"\"\
- 	-std=c99\
--	-Werror-implicit-function-declaration\
--	-O3
-+	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- showDesklets/src/Makefile.am.orig	2010-02-03 22:42:25.000000000 +0200
-+++ showDesklets/src/Makefile.am	2010-02-03 22:42:32.000000000 +0200
-@@ -29,8 +29,7 @@
+ libcd_shortcuts_la_LIBADD = \
+--- show-mouse/src/Makefile.am.orig	2010-05-05 22:46:47.000000000 +0300
++++ show-mouse/src/Makefile.am	2010-05-05 23:05:13.000000000 +0300
+@@ -29,11 +29,9 @@
+ 	-DMY_APPLET_GETTEXT_DOMAIN=\""$(GETTEXT_SHOW_MOUSE)"\"\
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
+-        -DGL_GLEXT_PROTOTYPES=\""1"\"\
++	-DGL_GLEXT_PROTOTYPES=\""1"\"\
  	-std=c99\
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- showDesktop/src/Makefile.am.orig	2010-02-03 22:42:42.000000000 +0200
-+++ showDesktop/src/Makefile.am	2010-02-03 22:42:46.000000000 +0200
-@@ -29,8 +29,7 @@
+ libcd_show_mouse_la_LIBADD = \
+--- showDesktop/src/Makefile.am.orig	2010-05-05 22:46:49.000000000 +0300
++++ showDesktop/src/Makefile.am	2010-05-05 23:05:30.000000000 +0300
+@@ -35,9 +35,7 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -414,11 +474,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- slider/src/Makefile.am.orig	2010-02-03 22:42:57.000000000 +0200
-+++ slider/src/Makefile.am	2010-02-03 22:43:04.000000000 +0200
-@@ -41,8 +41,7 @@
+ libcd_showDesktop_la_LIBADD = \
+--- slider/src/Makefile.am.orig	2010-05-05 22:46:52.000000000 +0300
++++ slider/src/Makefile.am	2010-05-05 23:05:47.000000000 +0300
+@@ -41,9 +41,7 @@
  	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
@@ -426,11 +487,12 @@
 -	-std=c99\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-std=c99
- #	-g -ggdb -W -Wall
  
  
---- stack/src/Makefile.am.orig	2010-02-03 22:43:13.000000000 +0200
-+++ stack/src/Makefile.am	2010-02-03 22:43:18.000000000 +0200
-@@ -37,8 +37,7 @@
+ libcd_slider_la_LIBADD = \
+--- stack/src/Makefile.am.orig	2010-05-05 22:46:54.000000000 +0300
++++ stack/src/Makefile.am	2010-05-05 23:05:59.000000000 +0300
+@@ -36,9 +36,7 @@
  	-DCD_STACK_DEFAULT_URL_ICON=\""url-icon.svg"\"\
  	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
@@ -438,11 +500,12 @@
 -	-std=c99\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-std=c99
- #	-g -ggdb -W -Wall
  
  
---- switcher/src/Makefile.am.orig	2010-02-03 22:43:28.000000000 +0200
-+++ switcher/src/Makefile.am	2010-02-03 22:43:31.000000000 +0200
-@@ -35,8 +35,7 @@
+ libcd_stack_la_LIBADD = \
+--- switcher/src/Makefile.am.orig	2010-05-05 22:46:57.000000000 +0300
++++ switcher/src/Makefile.am	2010-05-05 23:06:49.000000000 +0300
+@@ -35,9 +35,7 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""workspaces.svg"\"\
@@ -450,35 +513,42 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- systray/src/Makefile.am.orig	2010-02-03 22:43:40.000000000 +0200
-+++ systray/src/Makefile.am	2010-02-03 22:43:45.000000000 +0200
-@@ -34,8 +34,7 @@
-         -DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
+ libcd_switcher_la_LIBADD = \
+--- systray/src/Makefile.am.orig	2010-05-05 22:47:00.000000000 +0300
++++ systray/src/Makefile.am	2010-05-05 23:07:44.000000000 +0300
+@@ -31,12 +31,10 @@
+ 	-DMY_APPLET_USER_DATA_DIR=\""systray"\"\
+ 	-DMY_APPLET_VERSION=\""$(VERSION_SYSTRAY)"\"\
+ 	-DMY_APPLET_GETTEXT_DOMAIN=\""$(GETTEXT_SYSTRAY)"\"\
+-        -DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
++	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
  	-std=c99\
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall -W -Werror
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall -W -Werror
  
  libcd_systray_la_LIBADD = \
---- terminal/src/Makefile.am.orig	2010-02-03 22:43:56.000000000 +0200
-+++ terminal/src/Makefile.am	2010-02-03 22:44:01.000000000 +0200
-@@ -33,8 +33,7 @@
-         -DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
+ 	$(PACKAGE_LIBS) -lm
+--- terminal/src/Makefile.am.orig	2010-05-05 22:47:12.000000000 +0300
++++ terminal/src/Makefile.am	2010-05-05 23:08:39.000000000 +0300
+@@ -33,9 +33,7 @@
+ 	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
  	-std=c99\
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall  -W -Werror
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall  -W -Werror
  
  
---- tomboy/src/Makefile.am.orig	2010-02-03 22:44:12.000000000 +0200
-+++ tomboy/src/Makefile.am	2010-02-03 22:44:18.000000000 +0200
-@@ -32,8 +32,7 @@
+ libcd_terminal_la_LIBADD = \
+--- tomboy/src/Makefile.am.orig	2010-05-05 22:47:15.000000000 +0300
++++ tomboy/src/Makefile.am	2010-05-05 23:08:52.000000000 +0300
+@@ -32,10 +32,7 @@
  	-DMY_APPLET_GETTEXT_DOMAIN=\""$(GETTEXT_TOMBOY)"\"\
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
@@ -486,11 +556,13 @@
 -	-std=c99\
 -	-O3
+-#	-g -ggdb -W -Wall
+-#-Werror-implicit-function-declaration
 +	-std=c99
- #	-g -ggdb -W -Wall
- #-Werror-implicit-function-declaration
  
---- weather/src/Makefile.am.orig	2010-02-03 22:44:34.000000000 +0200
-+++ weather/src/Makefile.am	2010-02-03 22:44:38.000000000 +0200
-@@ -33,8 +33,7 @@
+ 
+ libcd_tomboy_la_LIBADD = \
+--- weather/src/Makefile.am.orig	2010-05-05 22:47:17.000000000 +0300
++++ weather/src/Makefile.am	2010-05-05 23:09:05.000000000 +0300
+@@ -33,9 +33,7 @@
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
  	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
@@ -498,23 +570,28 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- weblets/src/Makefile.am.orig	2010-02-03 22:44:48.000000000 +0200
-+++ weblets/src/Makefile.am	2010-02-03 22:44:55.000000000 +0200
-@@ -31,8 +31,7 @@
+ libcd_weather_la_LIBADD = \
+--- weblets/src/Makefile.am.orig	2010-05-05 22:47:22.000000000 +0300
++++ weblets/src/Makefile.am	2010-05-05 23:09:27.000000000 +0300
+@@ -29,11 +29,9 @@
+ 	-DMY_APPLET_GETTEXT_DOMAIN=\""$(GETTEXT_WEBLETS)"\"\
+ 	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
- 	-DCD_APPLET_MULTI_INSTANCE=1
+-	-DCD_APPLET_MULTI_INSTANCE=1
++	-DCD_APPLET_MULTI_INSTANCE=1\
  	-std=c99\
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  libcd_weblets_la_LIBADD = \
---- wifi/src/Makefile.am.orig	2010-02-03 22:45:07.000000000 +0200
-+++ wifi/src/Makefile.am	2010-02-03 22:45:11.000000000 +0200
-@@ -33,8 +33,7 @@
+ 	$(PACKAGE_LIBS) $(WEBKIT_LIBS) -lm
+--- wifi/src/Makefile.am.orig	2010-05-05 22:47:25.000000000 +0300
++++ wifi/src/Makefile.am	2010-05-05 23:09:41.000000000 +0300
+@@ -33,9 +33,7 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -522,11 +599,12 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
---- xfce-integration/src/Makefile.am.orig	2010-02-03 22:45:21.000000000 +0200
-+++ xfce-integration/src/Makefile.am	2010-02-03 22:45:25.000000000 +0200
-@@ -29,8 +29,7 @@
+ libcd_wifi_la_LIBADD = \
+--- xfce-integration/src/Makefile.am.orig	2010-05-05 22:47:28.000000000 +0300
++++ xfce-integration/src/Makefile.am	2010-05-05 23:09:54.000000000 +0300
+@@ -29,9 +29,7 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -534,6 +612,7 @@
 -	-Werror-implicit-function-declaration\
 -	-O3
+-#	-g -ggdb -W -Wall
 +	-Werror-implicit-function-declaration
- #	-g -ggdb -W -Wall
  
  
+ libcd_xfce_integration_la_LIBADD = \
Index: files/patch-Makefile.in
===================================================================
RCS file: /home/pcvs/ports/deskutils/cairo-dock-plugins/files/patch-Makefile.in,v
retrieving revision 1.1
diff -U 2 -r1.1 patch-Makefile.in
--- files/patch-Makefile.in	21 Mar 2010 13:16:59 -0000	1.1
+++ files/patch-Makefile.in	29 Jun 2010 16:37:14 -0000
@@ -1,5 +1,5 @@
---- Animated-icons/src/Makefile.in.orig	2010-02-03 22:31:14.000000000 +0200
-+++ Animated-icons/src/Makefile.in	2010-02-03 22:31:27.000000000 +0200
-@@ -534,8 +534,7 @@
+--- Animated-icons/src/Makefile.in.orig	2010-05-05 22:44:57.000000000 +0300
++++ Animated-icons/src/Makefile.in	2010-05-05 22:47:58.000000000 +0300
+@@ -507,10 +507,8 @@
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
@@ -9,9 +9,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_Animated_icons_la_LIBADD = \
---- Cairo-Penguin/src/Makefile.in.orig	2010-02-03 22:32:01.000000000 +0200
-+++ Cairo-Penguin/src/Makefile.in	2010-02-03 22:32:16.000000000 +0200
-@@ -512,8 +512,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- Cairo-Penguin/src/Makefile.in.orig	2010-05-05 22:45:01.000000000 +0300
++++ Cairo-Penguin/src/Makefile.in	2010-05-05 22:48:12.000000000 +0300
+@@ -485,10 +485,8 @@
  	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
@@ -21,9 +23,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_Cairo_Penguin_la_LIBADD = \
---- Clipper/src/Makefile.in.orig	2010-02-03 22:32:27.000000000 +0200
-+++ Clipper/src/Makefile.in	2010-02-03 22:32:39.000000000 +0200
-@@ -506,8 +506,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- Clipper/src/Makefile.in.orig	2010-05-05 22:45:04.000000000 +0300
++++ Clipper/src/Makefile.in	2010-05-05 22:48:26.000000000 +0300
+@@ -478,10 +478,8 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
@@ -33,9 +37,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_Clipper_la_LIBADD = \
---- Dbus/src/Makefile.in.orig	2010-02-03 22:32:49.000000000 +0200
-+++ Dbus/src/Makefile.in	2010-02-03 22:33:06.000000000 +0200
-@@ -514,8 +514,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- Dbus/src/Makefile.in.orig	2010-05-05 22:45:07.000000000 +0300
++++ Dbus/src/Makefile.in	2010-05-05 22:48:42.000000000 +0300
+@@ -489,10 +489,8 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
@@ -45,9 +51,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_Dbus_la_LIBADD = \
---- GMenu/src/Makefile.in.orig	2010-02-03 22:33:14.000000000 +0200
-+++ GMenu/src/Makefile.in	2010-02-03 22:33:25.000000000 +0200
-@@ -522,8 +522,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- GMenu/src/Makefile.in.orig	2010-05-05 22:45:11.000000000 +0300
++++ GMenu/src/Makefile.in	2010-05-05 22:48:53.000000000 +0300
+@@ -494,10 +494,8 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
@@ -57,9 +65,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_GMenu_la_LIBADD = \
---- Network-Monitor/src/Makefile.in.orig	2010-02-03 22:33:42.000000000 +0200
-+++ Network-Monitor/src/Makefile.in	2010-02-03 22:33:55.000000000 +0200
-@@ -510,8 +510,7 @@
+ 	$(PACKAGE_LIBS) -lm\
+ 	$(GMENU_GIO_LIBS)\
+--- Network-Monitor/src/Makefile.in.orig	2010-05-05 22:45:14.000000000 +0300
++++ Network-Monitor/src/Makefile.in	2010-05-05 22:49:05.000000000 +0300
+@@ -495,10 +495,8 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -69,9 +79,25 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_Network_Monitor_la_LIBADD = \
---- Scooby-Do/src/Makefile.in.orig	2010-02-03 22:34:01.000000000 +0200
-+++ Scooby-Do/src/Makefile.in	2010-02-03 22:34:11.000000000 +0200
-@@ -239,8 +239,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- RSSreader/src/Makefile.in.orig	2010-05-05 22:45:18.000000000 +0300
++++ RSSreader/src/Makefile.in	2010-05-05 22:49:17.000000000 +0300
+@@ -482,10 +482,8 @@
+ 	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
+ 	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
+ 	-std=c99\
+-	-Werror-implicit-function-declaration\
+-	-O3
++	-Werror-implicit-function-declaration
+ 
+-#	-g -ggdb -W -Wall
+ libcd_RSSreader_la_LIBADD = \
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- Scooby-Do/src/Makefile.in.orig	2010-05-05 22:45:21.000000000 +0300
++++ Scooby-Do/src/Makefile.in	2010-05-05 22:49:36.000000000 +0300
+@@ -509,10 +509,8 @@
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
@@ -81,9 +107,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_Scooby_Do_la_LIBADD = \
---- System-Monitor/src/Makefile.in.orig	2010-02-03 22:34:17.000000000 +0200
-+++ System-Monitor/src/Makefile.in	2010-02-03 22:34:27.000000000 +0200
-@@ -520,8 +520,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- System-Monitor/src/Makefile.in.orig	2010-05-05 22:45:24.000000000 +0300
++++ System-Monitor/src/Makefile.in	2010-05-05 22:49:52.000000000 +0300
+@@ -493,10 +493,8 @@
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
  	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
@@ -93,9 +121,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_System_Monitor_la_LIBADD = \
---- Toons/src/Makefile.in.orig	2010-02-03 22:34:32.000000000 +0200
-+++ Toons/src/Makefile.in	2010-02-03 22:34:43.000000000 +0200
-@@ -510,8 +510,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- Toons/src/Makefile.in.orig	2010-05-05 22:45:29.000000000 +0300
++++ Toons/src/Makefile.in	2010-05-05 22:50:05.000000000 +0300
+@@ -482,10 +482,8 @@
  	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
@@ -105,9 +135,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_Toons_la_LIBADD = \
---- Xgamma/src/Makefile.in.orig	2010-02-03 22:34:48.000000000 +0200
-+++ Xgamma/src/Makefile.in	2010-02-03 22:34:58.000000000 +0200
-@@ -508,8 +508,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- Xgamma/src/Makefile.in.orig	2010-05-05 22:45:32.000000000 +0300
++++ Xgamma/src/Makefile.in	2010-05-05 22:50:19.000000000 +0300
+@@ -480,10 +480,8 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -117,9 +149,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_Xgamma_la_LIBADD = \
---- alsaMixer/src/Makefile.in.orig	2010-02-03 22:35:05.000000000 +0200
-+++ alsaMixer/src/Makefile.in	2010-02-03 22:35:14.000000000 +0200
-@@ -511,8 +511,7 @@
+ 	$(PACKAGE_LIBS) -lm \
+ 	$(XGAMMA_PACKAGE_LIBS)
+--- alsaMixer/src/Makefile.in.orig	2010-05-05 22:45:35.000000000 +0300
++++ alsaMixer/src/Makefile.in	2010-05-05 22:50:31.000000000 +0300
+@@ -484,10 +484,8 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -129,9 +163,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_AlsaMixer_la_LIBADD = \
---- clock/src/Makefile.in.orig	2010-02-03 22:35:20.000000000 +0200
-+++ clock/src/Makefile.in	2010-02-03 22:35:32.000000000 +0200
-@@ -513,8 +513,7 @@
+ 	$(PACKAGE_LIBS)\
+ 	$(ALSA_MIXER_PACKAGE_LIBS)\
+--- clock/src/Makefile.in.orig	2010-05-05 22:45:38.000000000 +0300
++++ clock/src/Makefile.in	2010-05-05 22:50:49.000000000 +0300
+@@ -485,10 +485,8 @@
  	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
@@ -139,11 +175,13 @@
 -	 -Wall\
 -	-O3
-+	 -Wall
++	-Wall
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_clock_la_LIBADD = \
---- compiz-icon/src/Makefile.in.orig	2010-02-03 22:36:28.000000000 +0200
-+++ compiz-icon/src/Makefile.in	2010-02-03 22:36:36.000000000 +0200
-@@ -509,8 +509,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- compiz-icon/src/Makefile.in.orig	2010-05-05 22:45:41.000000000 +0300
++++ compiz-icon/src/Makefile.in	2010-05-05 22:51:02.000000000 +0300
+@@ -482,10 +482,8 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -153,9 +191,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_compiz_icon_la_LIBADD = \
---- desklet-rendering/src/Makefile.in.orig	2010-02-03 22:36:41.000000000 +0200
-+++ desklet-rendering/src/Makefile.in	2010-02-03 22:36:53.000000000 +0200
-@@ -526,8 +526,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- desklet-rendering/src/Makefile.in.orig	2010-05-05 22:45:44.000000000 +0300
++++ desklet-rendering/src/Makefile.in	2010-05-05 22:51:17.000000000 +0300
+@@ -499,11 +499,8 @@
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
@@ -165,9 +205,12 @@
 +	-Werror-implicit-function-declaration
  
- #	-Wno-unused-parameter
- #	-g -ggdb -W -Wall
---- dialog-rendering/src/Makefile.in.orig	2010-02-03 22:36:58.000000000 +0200
-+++ dialog-rendering/src/Makefile.in	2010-02-03 22:37:08.000000000 +0200
-@@ -520,8 +520,7 @@
+-#	-Wno-unused-parameter
+-#	-g -ggdb -W -Wall
+ libcd_desklet_rendering_la_LIBADD = \
+ 	$(glitz_libs) \
+ 	$(PACKAGE_LIBS) -lm
+--- dialog-rendering/src/Makefile.in.orig	2010-05-05 22:45:47.000000000 +0300
++++ dialog-rendering/src/Makefile.in	2010-05-05 22:51:28.000000000 +0300
+@@ -493,10 +493,8 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
@@ -177,9 +220,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_dialog_rendering_la_LIBADD = \
---- dnd2share/src/Makefile.in.orig	2010-02-03 22:37:14.000000000 +0200
-+++ dnd2share/src/Makefile.in	2010-02-03 22:37:24.000000000 +0200
-@@ -529,8 +529,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- dnd2share/src/Makefile.in.orig	2010-05-05 22:45:53.000000000 +0300
++++ dnd2share/src/Makefile.in	2010-05-05 22:51:40.000000000 +0300
+@@ -502,10 +502,8 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -189,9 +234,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_dnd2share_la_LIBADD = \
---- dock-rendering/src/Makefile.in.orig	2010-02-03 22:37:28.000000000 +0200
-+++ dock-rendering/src/Makefile.in	2010-02-03 22:37:38.000000000 +0200
-@@ -524,8 +524,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- dock-rendering/src/Makefile.in.orig	2010-05-05 22:45:55.000000000 +0300
++++ dock-rendering/src/Makefile.in	2010-05-05 22:51:52.000000000 +0300
+@@ -497,11 +497,8 @@
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
@@ -201,11 +248,17 @@
 +	-Werror-implicit-function-declaration
  
- #	-Wno-unused-parameter
- #	-g -ggdb -W -Wall
---- drop-indicator/src/Makefile.in.orig	2010-02-03 22:37:45.000000000 +0200
-+++ drop-indicator/src/Makefile.in	2010-02-03 22:37:55.000000000 +0200
-@@ -510,8 +510,7 @@
+-#	-Wno-unused-parameter
+-#	-g -ggdb -W -Wall
+ libcd_rendering_la_LIBADD = \
+ 	$(glitz_libs) \
+ 	$(PACKAGE_LIBS) -lm
+--- drop-indicator/src/Makefile.in.orig	2010-05-05 22:45:58.000000000 +0300
++++ drop-indicator/src/Makefile.in	2010-05-05 22:52:15.000000000 +0300
+@@ -481,12 +481,10 @@
+ 	-DMY_APPLET_DEFAULT_DROP_INDICATOR_NAME=\""default-drop-indicator.svg"\"\
+ 	-DMY_APPLET_DEFAULT_HOVER_INDICATOR_NAME=\""default-hover-indicator.svg"\"\
  	-DMY_APPLET_MASK_INDICATOR_NAME=\""texture-bilinear-gradation.png"\"\
-         -DGL_GLEXT_PROTOTYPES=\""1"\"\
+-        -DGL_GLEXT_PROTOTYPES=\""1"\"\
++	-DGL_GLEXT_PROTOTYPES=\""1"\"\
  	-std=c99\
 -	-Werror-implicit-function-declaration\
@@ -213,9 +266,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_drop_indicator_la_LIBADD = \
---- dustbin/src/Makefile.in.orig	2010-02-03 22:38:05.000000000 +0200
-+++ dustbin/src/Makefile.in	2010-02-03 22:38:15.000000000 +0200
-@@ -507,8 +507,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- dustbin/src/Makefile.in.orig	2010-05-05 22:46:00.000000000 +0300
++++ dustbin/src/Makefile.in	2010-05-05 22:52:26.000000000 +0300
+@@ -479,10 +479,8 @@
  	-DMY_APPLET_GETTEXT_DOMAIN=\""$(GETTEXT_DUSTBIN)"\"\
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
@@ -225,9 +280,11 @@
 +	-std=c99
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_dustbin_la_LIBADD = \
---- gnome-integration/src/Makefile.in.orig	2010-02-03 22:38:19.000000000 +0200
-+++ gnome-integration/src/Makefile.in	2010-02-03 22:38:34.000000000 +0200
-@@ -506,8 +506,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- gnome-integration/src/Makefile.in.orig	2010-05-05 22:46:03.000000000 +0300
++++ gnome-integration/src/Makefile.in	2010-05-05 22:52:40.000000000 +0300
+@@ -479,10 +479,8 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -237,9 +294,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_gnome_integration_la_LIBADD = \
---- gnome-integration-old/src/Makefile.in.orig	2010-02-03 22:38:39.000000000 +0200
-+++ gnome-integration-old/src/Makefile.in	2010-02-03 22:38:49.000000000 +0200
-@@ -506,8 +506,7 @@
+ 	$(PACKAGE_LIBS)\
+ 	$(GNOME_INTEGRATION_LIBS)\
+--- gnome-integration-old/src/Makefile.in.orig	2010-05-05 22:46:06.000000000 +0300
++++ gnome-integration-old/src/Makefile.in	2010-05-05 22:56:16.000000000 +0300
+@@ -479,10 +479,8 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
@@ -249,11 +308,16 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_gnome_integration_old_la_LIBADD = \
---- icon-effect/src/Makefile.in.orig	2010-02-03 22:38:53.000000000 +0200
-+++ icon-effect/src/Makefile.in	2010-02-03 22:39:03.000000000 +0200
-@@ -520,8 +520,7 @@
+ 	$(PACKAGE_LIBS)\
+ 	$(OLD_GNOME_INTEGRATION_LIBS)\
+--- icon-effect/src/Makefile.in.orig	2010-05-05 22:46:09.000000000 +0300
++++ icon-effect/src/Makefile.in	2010-05-05 22:56:42.000000000 +0300
+@@ -494,12 +494,10 @@
+ 	-DMY_APPLET_GETTEXT_DOMAIN=\""$(GETTEXT_ICON_EFFECTS)"\"\
+ 	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
-         -DGL_GLEXT_PROTOTYPES=\""1"\"\
+-        -DGL_GLEXT_PROTOTYPES=\""1"\"\
++	-DGL_GLEXT_PROTOTYPES=\""1"\"\
  	-std=c99\
 -	-Werror-implicit-function-declaration\
@@ -261,9 +325,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_icon_effect_la_LIBADD = \
---- illusion/src/Makefile.in.orig	2010-02-03 22:39:07.000000000 +0200
-+++ illusion/src/Makefile.in	2010-02-03 22:39:16.000000000 +0200
-@@ -523,8 +523,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- illusion/src/Makefile.in.orig	2010-05-05 22:46:12.000000000 +0300
++++ illusion/src/Makefile.in	2010-05-05 22:57:24.000000000 +0300
+@@ -496,10 +496,8 @@
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
@@ -273,10 +339,26 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_illusion_la_LIBADD = \
---- keyboard-indicator/src/Makefile.in.orig	2010-02-03 22:39:20.000000000 +0200
-+++ keyboard-indicator/src/Makefile.in	2010-02-03 22:39:30.000000000 +0200
-@@ -513,8 +513,7 @@
- 	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- kde-integration/src/Makefile.in.orig	2010-05-05 22:46:15.000000000 +0300
++++ kde-integration/src/Makefile.in	2010-05-05 23:00:45.000000000 +0300
+@@ -479,10 +479,8 @@
+ 	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
+ 	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
+ 	-std=c99\
+-	-Werror-implicit-function-declaration\
+-	-O3
++	-Werror-implicit-function-declaration
+ 
+-#	-g -ggdb -W -Wall
+ libcd_kde_integration_la_LIBADD = \
+ 	$(PACKAGE_LIBS)\
+ 	$(KDE_INTEGRATION_LIBS)\
+--- keyboard-indicator/src/Makefile.in.orig	2010-05-05 22:46:18.000000000 +0300
++++ keyboard-indicator/src/Makefile.in	2010-05-05 23:01:25.000000000 +0300
+@@ -486,10 +486,8 @@
+ 	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
  	-std=c99\
@@ -285,9 +367,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_keyboard_indicator_la_LIBADD = \
---- logout/src/Makefile.in.orig	2010-02-03 22:39:34.000000000 +0200
-+++ logout/src/Makefile.in	2010-02-03 22:39:43.000000000 +0200
-@@ -503,8 +503,7 @@
+ 	$(PACKAGE_LIBS) -lm\
+ 	$(KEYBOARD_INDICATOR_PACKAGE_LIBS)
+--- logout/src/Makefile.in.orig	2010-05-05 22:46:21.000000000 +0300
++++ logout/src/Makefile.in	2010-05-05 23:01:38.000000000 +0300
+@@ -475,10 +475,8 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
@@ -297,20 +381,26 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_logout_la_LIBADD = \
---- mail/src/Makefile.in.orig	2010-02-03 22:39:48.000000000 +0200
-+++ mail/src/Makefile.in	2010-02-03 22:40:12.000000000 +0200
-@@ -514,7 +514,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- mail/src/Makefile.in.orig	2010-05-05 22:46:25.000000000 +0300
++++ mail/src/Makefile.in	2010-05-05 23:02:01.000000000 +0300
+@@ -485,11 +485,8 @@
+ 	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
  	-std=c99\
- 	-Werror-implicit-function-declaration\
+-	-Werror-implicit-function-declaration\
 -	-g -ggdb -W
-+	-W
++	-Werror-implicit-function-declaration
  
- #	-fgnu89-inline\
- #	-O3
---- motion-blur/src/Makefile.in.orig	2010-02-03 22:40:16.000000000 +0200
-+++ motion-blur/src/Makefile.in	2010-02-03 22:40:27.000000000 +0200
-@@ -503,8 +503,7 @@
+-#	-fgnu89-inline\
+-#	-O3
+ libcd_mail_la_LIBADD = \
+ 	$(PACKAGE_LIBS) -lm \
+ 	$(MAIL_PACKAGE_LIBS)
+--- motion-blur/src/Makefile.in.orig	2010-05-05 22:46:28.000000000 +0300
++++ motion-blur/src/Makefile.in	2010-05-05 23:02:14.000000000 +0300
+@@ -476,10 +476,8 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -320,9 +410,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_motion_blur_la_LIBADD = \
---- musicPlayer/src/Makefile.in.orig	2010-02-03 22:40:31.000000000 +0200
-+++ musicPlayer/src/Makefile.in	2010-02-03 22:40:41.000000000 +0200
-@@ -554,8 +554,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- musicPlayer/src/Makefile.in.orig	2010-05-05 22:46:31.000000000 +0300
++++ musicPlayer/src/Makefile.in	2010-05-05 23:02:31.000000000 +0300
+@@ -530,10 +530,8 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -332,9 +424,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_musicPlayer_la_LIBADD = \
---- netspeed/src/Makefile.in.orig	2010-02-03 22:40:46.000000000 +0200
-+++ netspeed/src/Makefile.in	2010-02-03 22:40:58.000000000 +0200
-@@ -507,8 +507,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- netspeed/src/Makefile.in.orig	2010-05-05 22:46:34.000000000 +0300
++++ netspeed/src/Makefile.in	2010-05-05 23:02:46.000000000 +0300
+@@ -480,10 +480,8 @@
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
  	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
@@ -344,9 +438,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_netspeed_la_LIBADD = \
---- powermanager/src/Makefile.in.orig	2010-02-03 22:41:05.000000000 +0200
-+++ powermanager/src/Makefile.in	2010-02-03 22:41:16.000000000 +0200
-@@ -510,8 +510,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- powermanager/src/Makefile.in.orig	2010-05-05 22:46:38.000000000 +0300
++++ powermanager/src/Makefile.in	2010-05-05 23:03:06.000000000 +0300
+@@ -483,10 +483,8 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -356,9 +452,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_powermanager_la_LIBADD = \
---- quick-browser/src/Makefile.in.orig	2010-02-03 22:41:20.000000000 +0200
-+++ quick-browser/src/Makefile.in	2010-02-03 22:41:29.000000000 +0200
-@@ -508,8 +508,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- quick-browser/src/Makefile.in.orig	2010-05-05 22:46:41.000000000 +0300
++++ quick-browser/src/Makefile.in	2010-05-05 23:04:49.000000000 +0300
+@@ -481,10 +481,8 @@
  	-DMY_APPLET_ICON_FILE=\""icon.svg"\"\
  	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
@@ -368,9 +466,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_quick_browser_la_LIBADD = \
---- shortcuts/src/Makefile.in.orig	2010-02-03 22:41:33.000000000 +0200
-+++ shortcuts/src/Makefile.in	2010-02-03 22:42:04.000000000 +0200
-@@ -513,8 +513,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- shortcuts/src/Makefile.in.orig	2010-05-05 22:46:44.000000000 +0300
++++ shortcuts/src/Makefile.in	2010-05-05 23:05:02.000000000 +0300
+@@ -486,10 +486,8 @@
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
  	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
@@ -380,23 +480,16 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_shortcuts_la_LIBADD = \
---- show-mouse/src/Makefile.in.orig	2010-02-03 22:42:12.000000000 +0200
-+++ show-mouse/src/Makefile.in	2010-02-03 22:42:21.000000000 +0200
-@@ -505,8 +505,7 @@
- 	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
-         -DGL_GLEXT_PROTOTYPES=\""1"\"\
- 	-std=c99\
--	-Werror-implicit-function-declaration\
--	-O3
-+	-Werror-implicit-function-declaration
+ 	$(PACKAGE_LIBS) -lm
  
- #	-g -ggdb -W -Wall
- libcd_show_mouse_la_LIBADD = \
---- showDesklets/src/Makefile.in.orig	2010-02-03 22:42:25.000000000 +0200
-+++ showDesklets/src/Makefile.in	2010-02-03 22:42:37.000000000 +0200
-@@ -504,8 +504,7 @@
+--- show-mouse/src/Makefile.in.orig	2010-05-05 22:46:47.000000000 +0300
++++ show-mouse/src/Makefile.in	2010-05-05 23:05:22.000000000 +0300
+@@ -476,12 +476,10 @@
+ 	-DMY_APPLET_GETTEXT_DOMAIN=\""$(GETTEXT_SHOW_MOUSE)"\"\
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
+-        -DGL_GLEXT_PROTOTYPES=\""1"\"\
++	-DGL_GLEXT_PROTOTYPES=\""1"\"\
  	-std=c99\
 -	-Werror-implicit-function-declaration\
@@ -404,9 +497,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
- libcd_showDesklets_la_LIBADD = \
---- showDesktop/src/Makefile.in.orig	2010-02-03 22:42:42.000000000 +0200
-+++ showDesktop/src/Makefile.in	2010-02-03 22:42:52.000000000 +0200
-@@ -503,8 +503,7 @@
+-#	-g -ggdb -W -Wall
+ libcd_show_mouse_la_LIBADD = \
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- showDesktop/src/Makefile.in.orig	2010-05-05 22:46:49.000000000 +0300
++++ showDesktop/src/Makefile.in	2010-05-05 23:05:38.000000000 +0300
+@@ -480,10 +480,8 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -416,9 +511,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_showDesktop_la_LIBADD = \
---- slider/src/Makefile.in.orig	2010-02-03 22:42:57.000000000 +0200
-+++ slider/src/Makefile.in	2010-02-03 22:43:09.000000000 +0200
-@@ -515,8 +515,7 @@
+ 	$(PACKAGE_LIBS) -lm\
+ 	$(SHOW_DESKTOP_XRANDR_LIBS)
+--- slider/src/Makefile.in.orig	2010-05-05 22:46:52.000000000 +0300
++++ slider/src/Makefile.in	2010-05-05 23:05:53.000000000 +0300
+@@ -487,10 +487,8 @@
  	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
  	-DGL_GLEXT_PROTOTYPES=\""1"\"\
@@ -428,9 +525,11 @@
 +	-std=c99
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_slider_la_LIBADD = \
---- stack/src/Makefile.in.orig	2010-02-03 22:43:13.000000000 +0200
-+++ stack/src/Makefile.in	2010-02-03 22:43:24.000000000 +0200
-@@ -513,8 +513,7 @@
+ 	$(EXIF_LIBS) \
+ 	$(PACKAGE_LIBS) -lm
+--- stack/src/Makefile.in.orig	2010-05-05 22:46:54.000000000 +0300
++++ stack/src/Makefile.in	2010-05-05 23:06:41.000000000 +0300
+@@ -484,10 +484,8 @@
  	-DCD_STACK_DEFAULT_URL_ICON=\""url-icon.svg"\"\
  	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
@@ -440,9 +539,11 @@
 +	-std=c99
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_stack_la_LIBADD = \
---- switcher/src/Makefile.in.orig	2010-02-03 22:43:28.000000000 +0200
-+++ switcher/src/Makefile.in	2010-02-03 22:43:36.000000000 +0200
-@@ -512,8 +512,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- switcher/src/Makefile.in.orig	2010-05-05 22:46:57.000000000 +0300
++++ switcher/src/Makefile.in	2010-05-05 23:07:14.000000000 +0300
+@@ -485,10 +485,8 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""workspaces.svg"\"\
@@ -452,10 +553,16 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_switcher_la_LIBADD = \
---- systray/src/Makefile.in.orig	2010-02-03 22:43:40.000000000 +0200
-+++ systray/src/Makefile.in	2010-02-03 22:43:50.000000000 +0200
-@@ -512,8 +512,7 @@
-         -DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- systray/src/Makefile.in.orig	2010-05-05 22:47:00.000000000 +0300
++++ systray/src/Makefile.in	2010-05-05 23:08:05.000000000 +0300
+@@ -481,13 +481,11 @@
+ 	-DMY_APPLET_USER_DATA_DIR=\""systray"\"\
+ 	-DMY_APPLET_VERSION=\""$(VERSION_SYSTRAY)"\"\
+ 	-DMY_APPLET_GETTEXT_DOMAIN=\""$(GETTEXT_SYSTRAY)"\"\
+-        -DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
++	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
  	-std=c99\
@@ -464,10 +571,12 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall -W -Werror
+-#	-g -ggdb -W -Wall -W -Werror
  libcd_systray_la_LIBADD = \
---- terminal/src/Makefile.in.orig	2010-02-03 22:43:56.000000000 +0200
-+++ terminal/src/Makefile.in	2010-02-03 22:44:06.000000000 +0200
-@@ -511,8 +511,7 @@
-         -DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- terminal/src/Makefile.in.orig	2010-05-05 22:47:12.000000000 +0300
++++ terminal/src/Makefile.in	2010-05-05 23:08:45.000000000 +0300
+@@ -484,10 +484,8 @@
+ 	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
  	-std=c99\
@@ -476,9 +585,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall  -W -Werror
+-#	-g -ggdb -W -Wall  -W -Werror
  libcd_terminal_la_LIBADD = \
---- tomboy/src/Makefile.in.orig	2010-02-03 22:44:12.000000000 +0200
-+++ tomboy/src/Makefile.in	2010-02-03 22:44:23.000000000 +0200
-@@ -508,8 +508,7 @@
+ 	$(PACKAGE_LIBS) -lm \
+ 	$(TERMINAL_PACKAGE_LIBS)
+--- tomboy/src/Makefile.in.orig	2010-05-05 22:47:15.000000000 +0300
++++ tomboy/src/Makefile.in	2010-05-05 23:08:59.000000000 +0300
+@@ -480,11 +480,8 @@
  	-DMY_APPLET_GETTEXT_DOMAIN=\""$(GETTEXT_TOMBOY)"\"\
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
@@ -488,9 +599,12 @@
 +	-std=c99
  
- #	-g -ggdb -W -Wall
- #-Werror-implicit-function-declaration
---- weather/src/Makefile.in.orig	2010-02-03 22:44:34.000000000 +0200
-+++ weather/src/Makefile.in	2010-02-03 22:44:43.000000000 +0200
-@@ -510,8 +510,7 @@
+-#	-g -ggdb -W -Wall
+-#-Werror-implicit-function-declaration
+ libcd_tomboy_la_LIBADD = \
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- weather/src/Makefile.in.orig	2010-05-05 22:47:17.000000000 +0300
++++ weather/src/Makefile.in	2010-05-05 23:09:11.000000000 +0300
+@@ -482,10 +482,8 @@
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
  	-DCD_APPLET_MULTI_INSTANCE=\"1\"\
@@ -500,21 +614,23 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_weather_la_LIBADD = \
---- weblets/src/Makefile.in.orig	2010-02-03 22:44:48.000000000 +0200
-+++ weblets/src/Makefile.in	2010-02-03 22:45:02.000000000 +0200
-@@ -819,8 +819,7 @@
+ 	$(PACKAGE_LIBS) -lm
  
-  #dnl Process this file with automake to produce src/Makefile.in
+--- weblets/src/Makefile.in.orig	2010-05-05 22:47:22.000000000 +0300
++++ weblets/src/Makefile.in	2010-05-05 23:09:34.000000000 +0300
+@@ -823,8 +823,7 @@
+ 
+  #dnl Process this file with automake to produce Makefile.in
  	-std=c99\
 -	-Werror-implicit-function-declaration\
 -	-O3
 +	-Werror-implicit-function-declaration
+ 
  # Tell versions [3.59,3.63) of GNU make to not export all variables.
  # Otherwise a system limit (for SysV at least) may be exceeded.
- .NOEXPORT:
---- wifi/src/Makefile.in.orig	2010-02-03 22:45:07.000000000 +0200
-+++ wifi/src/Makefile.in	2010-02-03 22:45:16.000000000 +0200
-@@ -508,8 +508,7 @@
+--- wifi/src/Makefile.in.orig	2010-05-05 22:47:25.000000000 +0300
++++ wifi/src/Makefile.in	2010-05-05 23:09:47.000000000 +0300
+@@ -480,10 +480,8 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -524,9 +640,11 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_wifi_la_LIBADD = \
---- xfce-integration/src/Makefile.in.orig	2010-02-03 22:45:21.000000000 +0200
-+++ xfce-integration/src/Makefile.in	2010-02-03 22:45:31.000000000 +0200
-@@ -506,8 +506,7 @@
+ 	$(PACKAGE_LIBS) -lm
+ 
+--- xfce-integration/src/Makefile.in.orig	2010-05-05 22:47:28.000000000 +0300
++++ xfce-integration/src/Makefile.in	2010-05-05 23:09:59.000000000 +0300
+@@ -479,10 +479,8 @@
  	-DMY_APPLET_DOCK_VERSION=\""$(dock_version)"\"\
  	-DMY_APPLET_ICON_FILE=\""icon.png"\"\
@@ -536,4 +654,6 @@
 +	-Werror-implicit-function-declaration
  
- #	-g -ggdb -W -Wall
+-#	-g -ggdb -W -Wall
  libcd_xfce_integration_la_LIBADD = \
+ 	$(PACKAGE_LIBS)\
+ 	$(XFCE_INTEGRATION_LIBS)\
Index: files/patch-shortcuts
===================================================================
RCS file: /home/pcvs/ports/deskutils/cairo-dock-plugins/files/patch-shortcuts,v
retrieving revision 1.1
diff -U 2 -r1.1 patch-shortcuts
--- files/patch-shortcuts	21 Mar 2010 13:16:59 -0000	1.1
+++ files/patch-shortcuts	29 Jun 2010 16:37:14 -0000
@@ -1,3 +1,3 @@
---- shortcuts/src/applet-disk-usage.c.orig	2009-09-27 19:14:51.000000000 +0300
+--- shortcuts/src/applet-disk-usage.c	2009-09-27 19:14:51.000000000 +0300
 +++ shortcuts/src/applet-disk-usage.c	2010-02-03 22:25:09.000000000 +0200
 @@ -18,10 +18,18 @@
Index: files/patch-tomboy
===================================================================
RCS file: files/patch-tomboy
diff -N files/patch-tomboy
--- files/patch-tomboy	21 Mar 2010 13:16:59 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,22 +0,0 @@
---- tomboy/src/tomboy-dbus.c.orig	2010-01-31 16:18:01.000000000 +0200
-+++ tomboy/src/tomboy-dbus.c	2010-01-28 19:49:18.000000000 +0200
-@@ -28,7 +28,7 @@
- 
- static DBusGProxy *dbus_proxy_tomboy = NULL;
- 
--extern struct tm *localtime_r (time_t *timer, struct tm *tp);
-+//extern struct tm *localtime_r (time_t *timer, struct tm *tp);
- 
- 
- 
---- tomboy/src/tomboy-draw.c.orig	2010-01-31 16:18:10.000000000 +0200
-+++ tomboy/src/tomboy-draw.c	2010-01-28 19:48:00.000000000 +0200
-@@ -113,7 +113,7 @@
- 	}
- 	else
- 	{
--		cairo_dock_show_temporary_dialog_with_icon ("%d %s", pIconsList ? pIconsList->data : myDesklet->icons->data, myContainer, 3000, MY_APPLET_SHARE_DATA_DIR"/"MY_APPLET_ICON_FILE, iNbResults, iNbResults > 1 ? D_("results") : D_("result"));
-+		cairo_dock_show_temporary_dialog_with_icon_printf ("%d %s", pIconsList ? pIconsList->data : myDesklet->icons->data, myContainer, 3000, MY_APPLET_SHARE_DATA_DIR"/"MY_APPLET_ICON_FILE, iNbResults, iNbResults > 1 ? D_("results") : D_("result"));
- 	}
- }
- 
Index: files/patch-tomboy-dbus
===================================================================
RCS file: files/patch-tomboy-dbus
diff -N files/patch-tomboy-dbus
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-tomboy-dbus	29 Jun 2010 16:37:14 -0000
@@ -0,0 +1,11 @@
+--- tomboy/src/tomboy-dbus.c	2010-02-13 06:00:04.000000000 -0500
++++ tomboy/src/tomboy-dbus.c	2010-06-29 12:29:00.000000000 -0400
+@@ -28,7 +28,7 @@
+ 
+ static DBusGProxy *dbus_proxy_tomboy = NULL;
+ 
+-extern struct tm *localtime_r (time_t *timer, struct tm *tp);
++//extern struct tm *localtime_r (time_t *timer, struct tm *tp);
+ 
+ 
+ 